Skip to content

Retrieve a policy history entry

Request

Early AccessIdentity Engine
OAuth 2.0 scope:
  • okta.policies.read

Retrieves a single previously live policy branch from the policy's branch history.

Only applicable to ACCESS_POLICY type policies.

Path
policyIdstringrequired

id of the ACCESS_POLICY

Example:rst1d7xus97faIAgmti0
branchIdstringrequired

id of the policy branch

Example:rsb1d7xus97faIAgmti
GET
/api/v1/policies/{policyId}/history/{branchId}
curl -i -X GET \
  https://subdomain.okta.com/api/v1/policies/rst1d7xus97faIAgmti0/history/rsb1d7xus97faIAgmti

Responses

Success

Bodyapplication/json
idstringread-only

The ID of the policy branch (from branchInformation.id)

Example:"rsb1d7xus97faIAgmti"
policyobject(PolicyHistoryEntryPolicy)

The policy branch snapshot, without branch-specific information or navigation links

Response
{ "id": "rsb1d7xus97faIAgmti", "policy": { "id": "rst1d7xus97faIAgmti0", "status": "ACTIVE", "name": "Production Branch", "description": "Current live production configuration", "priority": 1, "system": false, "type": "ACCESS_POLICY", "conditions": null, "created": "2026-01-15T08:30:00.000Z", "lastUpdated": "2026-04-01T10:15:30.000Z" }, "_links": { "self": {}, "rules": {}, "rollback": {} } }